List available integrations
curl --request GET \
--url https://api.usenotra.com/v1/integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usenotra.com/v1/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usenotra.com/v1/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"github": [
{
"id": "<string>",
"displayName": "<string>",
"owner": "<string>",
"repo": "<string>",
"defaultBranch": "<string>"
}
],
"slack": [
"<unknown>"
],
"linear": [
{
"id": "<string>",
"displayName": "<string>",
"linearOrganizationId": "<string>",
"linearOrganizationName": "<string>",
"linearTeamId": "<string>",
"linearTeamName": "<string>"
}
],
"organization": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"logo": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}List available integrations
Returns the enabled GitHub and Linear integrations for the organization. The slack array is always empty.
GET
https://api.usenotra.com
/
v1
/
integrations
List available integrations
Authorizations
Send your API key in the Authorization header as Bearer API_KEY.
Response
Integrations fetched successfully
Enabled GitHub integrations. One entry per connected repository.
Show child attributes
Show child attributes
Always empty. Slack is connected from the dashboard and is not exposed through the API.
Enabled Linear integrations.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on October 2, 2026
Was this page helpful?